<?php
date_default_timezone_set('America/Costa_Rica');

session_start();

 $usu=$_SESSION['username'];
 

		include('../conexion.php'); 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='u'  or $_SESSION['tipo_usu']=='c'  or $_SESSION['tipo_usu']=='v'){
		}else{
			header('location:acceso_denegado.php');
		}


$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
$resultado = $mysqli->query($consulta);
$row = $resultado->fetch_array();
$nomusu = $row["usu"];
$codusu= $row["codusu"];


		$hoy=date("Y-m-d");
?>

	<script type="text/javascript" src="js/jquery-1.3.2.min.js"></script>

	<script type="text/javascript">

			
							///////////////////////////////////////////////////////MASCARA NUMERICA //////////////////////////////////////////////


		function aceptar() {
			location.href="index.php?cadena_busqueda=<?php echo $cadena_busqueda?>";
		}
			
	

function imprimir(numrec) {
		window.open("../fpdf/imprimir_recibos_cli_PUNTO_VENTA.php?numrec="+numrec);
	
		}	
		
		

		
        </script>



	</head>
<?php 

 $numrec=$_POST["numrec"];
 $numrectmp=$_POST["numrec"];
 $cdgcli=$_POST["cdgcli"];
 $dsccli=strtoupper($_POST["dsccli"]);
 $accion=$_POST["accion"];
 $numfac=$_POST["numfac"]; 
 $retira=$_POST["retira"]; 
 $placa=$_POST["placa"];
 $entregadoen=$_POST["entregadoen"];


	
 $obsped=strtoupper($_POST["obsped"]);	
$cdgtipexo=$_POST["cdgtipexo"]; 
$cdgven=$_POST["cdgven"];
if ($cdgtipexo == "01") { $cliexe=2; } else { $cliexe=1; } 


 ///////////////////////////////////////  recibe tabla de parametros //////////////////////////////////////////////////
   
       $parametros = "SELECT * FROM web_0000 ";
       $result_parametros = $mysqli->query($parametros);
       $row_para = $result_parametros->fetch_array();

	   $tarimpvta =  $row_para["tarimp"];

	
	
       $parametros = "SELECT * FROM web_0000 ";
       $result_parametros = $mysqli->query($parametros);
       $row_para = $result_parametros->fetch_array();
     
	 //  $numreccli =  $row_para["numreccli"];
	  // $numrec=$numreccli+1;
	   


			/////////////////////////////////////////////////  Guarda el recibo en pagos clientes 
			//////////////////////////////////////			
				    if ($accion=="alta") {
		
$delete =  "DELETE FROM entrelineas_2101  WHERE codfactura ='$numfac'";
$mysqli->query($delete);

	
						$query_operacion="INSERT INTO entregas_clientes_recibos(numrec, fecrec, numfac, cdgcli, dsccli, retira, placa, entregaen, obsped, nomusu, cdgusu, estado) VALUES ('$numrec','$hoy','$numfac','$cdgcli','$dsccli','$retira','$placa','$entregadoen','$obsped','$nomusu','$codusu','1')";	
	
$mysqli->query($query_operacion);


	
	
	////////////////////////////////////////////////////////// Guarda el recibo en pagos clientes lineas //////////////////////////////////////////
//$numrectmp=$_POST["numrec"];


$sel_lineas="SELECT * FROM entregas_clientes_recibos_lineastmp WHERE codfactura='$numfac' ORDER BY numlinea ASC";
$contador=0;
if ($resultado = $mysqli->query($sel_lineas)) 


    while ($fila2 = $resultado->fetch_assoc()) {

        $cdgbar    = $fila2["codigo"];
        $dscart    = $fila2["dscart"];
		$cantidad  = $fila2["cantidad"];
		$preivi    = $fila2["preivi"];
		$importe   = $fila2["importe"];
		$impuesto  = $fila2["impuesto"];
		$mondes    = $fila2["mondes"];
		$cdgfam    = $fila2["codfamilia"];
     	//$cdglin    = $fila2["cdglin"];
		$descuento = $fila2["dcto"];

       $cantidadactual = $fila2["cantidad"]; 
	   $cantentrega = $fila2["cantentrega"];  // cantidad estregado total	   
	   $cantsaldo= $fila2["cantsaldo"];  // cantidad SALDO
	   $cantanterior= $fila2["cantanterior"];  // cantidad SALDO
	   

	
$insert="INSERT INTO entregas_clientes_recibos_lineas (numrec,codfactura ,dscart ,codigo,codfamilia, cantidad,cantanterior,cantentrega,cantsaldo,preivi,importe,dcto,mondes, impuesto) VALUES ('$numrec','$numfac','$dscart','$cdgbar','$cdgfam','$cantidad',' $cantanterior','$cantentrega','$cantsaldo','$preivi','$importe','$descuento' ,'$mondes','$impuesto')";

		   $mysqli->query($insert);
		   

		
} 

	
	
	

	}
	/**************************************************************************************************/
	
		$mergra=0;
		$merexe=0;
		$serexe=0;
		$sergra=0;
		$subexe=0;
		$totmergra=0;
		$totmerexe=0;
		$totsergra=0;
		$totserexe=0;
		$subgra=0;
		$baseimponible=0; 
		$baseimpuestos=0;		    
		$basedescuento=0;
		
		$delete =  "DELETE FROM entrelineas_2101  WHERE codfactura ='$numfac'";
$mysqli->query($delete);


		$query_tmp = "SELECT * FROM entregas_clientes_recibos_lineas WHERE numrec='$numrec' ORDER BY numlinea ASC";
    if ($resultado2 = $mysqli->query($query_tmp)) 
	
    while ($fila2 = $resultado2->fetch_assoc()) {
		
        $numlinea = $fila2["numlinea"];
        $codigo   = $fila2["codigo"];
        $dscart   = $fila2["dscart"];
		$cantinicio = $fila2["cantidad"];
		$cantidad = $fila2["cantsaldo"];
		$preivi   = $fila2["preivi"];	
	    $importe  = $fila2["importe"];
	    $impuesto = $fila2["impuesto"];
		$mondes   = $fila2["mondes"];
		$dcto     = $fila2["dcto"];
        $subtotal = $importe-$mondes;
		$montotlin= $importe-$mondes+$impuesto;	


		if ($impuesto==0){

		
		$subexe=$subexe+$importe;
	    $preivi2=$preivi;
		//$cdgimp="";    ** COMENTAR
		
		 } else {
		 
		 $subgra=$subgra+$importe;
		 $preivi2=$preivi;
		// $cdgimp="01"; ** COMENTAR
		 }
		 
	
		$baseimponible=$baseimponible+$importe;    
		$baseimpuestos=$baseimpuestos+$impuesto;    
		$basedescuento=$basedescuento+$mondes;
	
	
		
		$preciototal=$baseimponible+$baseimpuestos-$basedescuento;
		$preciototal=round($preciototal);
		 


		$query_costos = "SELECT cosart,COB_IV,CDGFAM,CDGLIN,DESFAC,CDGTIPART,ivporc ,UNIMED, CDGTIPPRO FROM web_1001 WHERE cdgbar='$codigo'";
		$resultado = $mysqli->query($query_costos);
		$row = $resultado->fetch_array();
	     $cosart = $row["cosart"];
		 $desart = $row["DESFAC"];
		 $cob_iv = $row["COB_IV"];
		 $cdgfam = $row["CDGFAM"];
		 $cdglin = $row["CDGLIN"];
		 $cdgtipart= $row["CDGTIPART"];
		 $unimed= $row["UNIMED"];
		 $ivporc= $row["ivporc"];
		 $cdgtippro= $row["CDGTIPPRO"];

	
		//if ( $mondes > 0){    // estable la naturaleza del descuento  por linea si lo tiene
		//$natdes=$_POST["natdes"];
		//} else { 
		$natdes=  "";
		//} 
		
		
		
		if (  $cob_iv == 1 ){    // estable la tarifa del impuesto por linea si lo tiene
 		$tarimp=   $ivporc;
		$cdgimp="01";
		} else { 
		$tarimp=  "";
		$cdgimp="";    
		
		} 
		
		 
		if ( $cob_iv == 1){     //  si el produto es gravado
		if  ($cdgtippro == 1 ) {   // si el producto es tipo articulo 
	
		$mergra=$importe;  
	     $totmergra= $totmergra+$mergra; 
		
		} else {     // si es un servicio
		
		$sergra=$importe; 
	    $totsergra= $totsergra+$sergra; 
	
		
		}    // cierra tipo de produto 
	
		} else {    // si el producto es exento
		
		if  ($cdgtippro == 1 ) {   // si el producto es tipo servicio 
		
     	$merexe=$importe;  
        $totmerexe= $totmerexe+$merexe; 
		
		} else {     // si es un servicio
		
		$serexe=$importe; 
	    $totserexe= $totserexe+$serexe; 
		
		}    // cierra tipo de produto tipo articulo
		} 
	  
	 

		$des_articulo= ( $cosart * $desart)/100;
		$cosart= $cosart - $des_articulo;
		
		////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////	
  /* 
    if ($cliexento==2  && $cob_iv==1  ){  // si la compra es tipo exonerada ////////
   

    //$monimpexo=$importe;       // monto  exonerado
	$monimpexo=($importe-$mondes)*$ivporc/100;       // impuesto exonerado
	$porcomexo= 100;   // porcentaje exonerado 
	
	$cdgtipexo=$_POST["cdgtipexo"];
    $numdocexo=$_POST["numdocexo"];
    $nominstexo=$_POST["nominstexo"];
	  
	$cdgimp   = "01"; 
	$tarimp   =  "";
	$impuesto =  "";
		  
	  
	  }else {
 */
     	    $monimpexo="";
	        $porcomexo= "";
			$cdgtipexo="";
			$numdocexo="";
			$nominstexo="";
	  
	//  }


	
		$sel_insertar="INSERT INTO entrelineas_2101 (codfactura,dscart,numlinea,codigo,cantidad,cantinicial,cosart,prenivi,preivi,importe,dcto,mondes,impuesto,cdgcli,cdgven,artexe,fecfac,cdgfam,cdglin,cdgtipart,unimed , cdgimp, tarimp, subtotal, montotlin , natdes , monimpexo, porcomexo, cdgtipexo, numdocexo, nominstexo) VALUES 
		('$numfac','$dscart','$numlinea','$codigo','$cantidad','$cantinicio ','$cosart','$preivi2','$preivi','$importe','$dcto','$mondes','$impuesto','$cdgcli','$cdgven','$cob_iv','$hoy','$cdgfam','$cdglin','$cdgtipart','$unimed' ,'$cdgimp' ,'$tarimp' ,'$subtotal'  ,'$montotlin' ,'$natdes' ,'$monimpexo' ,'$porcomexo'  ,'$cdgtipexo'  ,'$numdocexo'  ,'$nominstexo')";
	$mysqli->query($sel_insertar);	

	}
	 
	  $totexento = $totserexe+$totmerexe; 
	  $totgravado  =  $totsergra+$totmergra;
	  $totventa =  $totgravado+$totexento;    
	  $totdescu = $basedescuento ;
	  $totvennet =  $totventa  -  $totdescu;
	  $totcompro =  $totvennet + $baseimpuestos ;
	  
	  if ( $totgravado > 0 ){    // si el articulo es tipo gravado 
	  $cdgimp="01" ; //   tipo impuesto de ventas
	  $tarimp=$tarimpvta;
	  $monimp=$baseimpuestos;
	  
	  }else {
	  
	  $cdgimp="";  //   tipo impuesto de ventas
	  $tarimp="";
	  $monimp="";
	  
	  }
	  

	 
	 $consulta2 = "DELETE FROM entrelineastmp  WHERE codfactura ='$numfac'";
	$mysqli->query($consulta2);	
	


	$preciototal=$baseimponible+$baseimpuestos-$basedescuento;
	$preciototal=round($preciototal);
/*
	$sel_act="UPDATE entregas SET totalfactura='$preciototal' ,  subexe='$subexe', subgra='$subgra', destot='$basedescuento',subtot='$baseimponible', impven='$baseimpuestos', destot='$basedescuento' , totmergra='$totmergra', totmerexe='$totmerexe', totsergra='$totsergra', totserexe='$totserexe'
, totgravado='$totgravado' , totexento='$totexento' , totventa='$totventa' , totdescu='$totdescu' , totvennet='$totvennet'  , cdgimp='$cdgimp', tarimp='$tarimp', monimp='$monimp' ,  totcompro='$totcompro'   WHERE codfactura='$numfac'";
*/
	//$mysqli->query($sel_act);
	$baseimpuestos=0;
	$baseimponible=0;
	$preciototal=0;
	
	
	

		
	
echo "<script>";
echo "imprimir($codfactura);";
echo "</script>";	




			
	//////////////////////////////////////////////////////////// Anulacion del recibo en pagos clientes 
			if ($accion=="baja") {
	$numrec=$_GET["numrec"];
	

}
			
					
					  
	if ($accion=="alta"){
	

?>
	<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
	function aceptar() {
			location.href="index.php";
		}
		
		function imprimir(numrec) {
		
	window.open("../fpdf/imprimir_recibos_cli_PUNTO_VENTA.php?numrec="+numrec);

		
		//parent.location.href="index.php";
		}
		
		
		  window.onkeydown = tecla;

  function tecla(event) {
  if(  event.keyCode ==13	) {    num = event.keyCode;

if(num==13)aceptar(); // ENTER  DIRECCION A NUEVA FACTURA 

  }
	  }	
		
function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}
		
		</script>
<?php 
		

	
echo "<script>";
echo "imprimir($numrec);";
echo "</script>";	

	
   }

				  
	?>				  
					  
</head>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
	<body onLoad="nobackbutton(); inicio()">
			<div id="zonaContenido">
         	<div class="contenidoPago">
			   <div align="center">

			    <br> 
			    </br>
				<table width="100%" border="0">
  <tr>
    <td colspan="4">&nbsp;</td>
    </tr>
</table>

				
			    
			  </div>
				<div id="botonBusquedaAWR">					
				
				<div id="" align="center">
					<p><img src="../img/Symbol-Check_128x128-32.png" width="128" height="128" onClick="aceptar()" border="0" onMouseOver="style.cursor=cursor" title="Salir">
					  
				  </p>
					<p><span class="fuente_gracias"> </span></p>
				</div>
				    
			   </div>
			  </div>
		  </div>
		</div>
	</body>
</html>
 
